E-Ticaret

reco

4 endpoints · /api/shop/v1/reco

Request examples are generated from each endpoint's REAL method and path. 4 endpoints have no hand-verified body example yet; their skeleton has no body — we do not invent field names.

POST/api/shop/v1/admin/reco/run

Run

Oturum
İstek
curl -X POST "https://{slug}.shop.blesyum.app/api/shop/v1/admin/reco/run" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
GET/api/shop/v1/storefront/reco/{product_id}

Reco

OturumYol parametresi: product_id
İstek
curl -X GET "https://{slug}.shop.blesyum.app/api/shop/v1/storefront/reco/<product_id>" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
POST/api/shop/v1/storefront/reco/events

Event

Oturum
İstek
curl -X POST "https://{slug}.shop.blesyum.app/api/shop/v1/storefront/reco/events" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
GET/api/shop/v1/storefront/reco/personal

Personal

Oturum
İstek
curl -X GET "https://{slug}.shop.blesyum.app/api/shop/v1/storefront/reco/personal" \
  -H "Authorization: Bearer <oturum-token>" \
  -H "Accept: application/json"
Yanıt
{
  "data": "…",
  "trace_id": "01JC…"
}
Bu sayfa işine yaradı mı?